# SPDX-License-Identifier: Apache-2.0


class Errors:
    """Error responses"""

    UNAUTHORIZED = ({"error": "Unauthorized"}, 401)
    FORBIDDEN = ({"error": "Forbidden"}, 403)
    NOT_FOUND = ({"error": "Not found"}, 404)

    MISSING_TOKEN = ({"error": "Missing token"}, 401)
    INVALID_TOKEN = ({"error": "Invalid token"}, 401)
    INVALID_CREDENTIALS = ({"error": "Invalid credentials"}, 400)
    MISSING_FILE = ({"error": "Missing file"}, 400)
    FILE_NOT_FOUND = ({"error": "File not found"}, 404)
